package kalkulator;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/Kalkulator2")
public class Kalkulator2 extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		response.setContentType("text/html");
		response.setCharacterEncoding("utf-8");
		PrintWriter out = response.getWriter();
		
		out.println("<!DOCTYPE html>");
		out.println("<html>");
		out.println("<head>");
		out.println("<title>Kalkulator serwletowy</title>");
		out.println("<link rel='stylesheet' type='text/css' href='styl.css'>");
		out.println("</head>");
		out.println("<body>");
		out.println("<h1>Kalkulator 2</h1>");
		out.println("<p>Wpisz liczby i wybierz działanie:</p>");		
		out.println("<form>");
		out.println("<input name='liczba1' type='number'>");
		out.println("<select name='operacja'>");
		out.println("<option value='+'>+</option>");
		out.println("<option value='-'>-</option>");
		out.println("<option value='*'>*</option>");
		out.println("<option value='/'>/</option>");
		out.println("</select>");		
		out.println("<input name='liczba2' type='number'>");
		out.println("<button>=</button>");
		out.println("</form>");
		
		String param1 = request.getParameter("liczba1");
		String param2 = request.getParameter("liczba2");
		String operacja = request.getParameter("operacja");
		
		if(param1 != null && param2 != null && operacja != null) {
			try {
				long liczba1 = Long.parseLong(param1);
				long liczba2 = Long.parseLong(param2);
				long wynik;
				switch(operacja) {
					case "+": wynik = liczba1 + liczba2;
					break;
					case "-": wynik = liczba1 - liczba2;
					break;
					case "*": wynik = liczba1 * liczba2;
					break;
					case "/": wynik = liczba1 / liczba2;
					break;
					default:
						throw new IllegalArgumentException("Nieznane działanie: " + operacja);
				}
				
				out.println("<div class='wynik'>Suma: " + wynik + "</div>");
			} catch (NumberFormatException e) {
				out.println("<div class='error'>Niepoprawny format liczby</div>");
			} catch(Exception e) {
				out.println("<div class='error'>Błąd: " + e.getMessage() + "</div>");				
			}
		}
		out.println("</body>");
		out.println("</html>");
	}

}
